## For those of you who have played League
- tl;dr, it's early season 11 AD Katarina with Conqueror and reverse Lethal Tempo using her PROJECT: skin.
## and For those of you who haven't...
[![](https://cdn.discordapp.com/attachments/323183130930315266/879517157950623754/unknown.png)]()
*''Violence solves everything...''*

## Introduction
The Noxian invasion goes interplanetary! Katarina Du Couteau, the Sinister Blade, has come to Petrichor V in order to further her martial prowess. Seeking to annex the planet for the glory of Noxus, she may get more than she bargained for upon reaching its moon....

## Passive
[![](https://cdn.discordapp.com/attachments/323183130930315266/879578280028688464/screencap_2.png)]()
- Gain a stack on killing an enemy with Sinister Steel. 25% chance to gain a stack on killing an enemy with a Voracious Dagger, stacks infinitely
- Each stack gives you a % damage increase, stacking additively with your damage coefficient. Formula is described in Misc Info.
- Conqueror stacks have various interactions with your other abilities, as follows:
- At 2 stacks, you heal for 4% of your basic attack damage
- At 8 stacks, you heal for 12% of your basic attack damage
- At 15 stacks, you heal for the capped amount of 25% your total basic attack damage
- At 25 stacks, your basic attacks gain ***Slayer***
- At 30 stacks, Katarina is truly in her element, and moves with such speed that the enemy cannot perceive her, Shunpo *cloaks* on-cast for 1.3s.
- All stacks are lost upon leaving combat, not taking damage for 8 seconds, or casting Death Lotus
## Passive 2, Electric Boogaloo
[![](https://cdn.discordapp.com/attachments/491077949823385602/879871775121494036/unknown.png)]()
- This one is actually describable in a single skill description so no extra info here.

## Primary
[![](https://cdn.discordapp.com/attachments/491077949823385602/879871688903360574/unknown.png)]()
- A master assassin and noble of the Du Couteau family sees no use for petty drugs, pauldrons, or Freljordian bear pelts; and as such, has a fixed attack speed.
- Basic attack speed is determined by Conqueror stacks, capping at 3.25 total (about 15 syringes)
- The swipe is horizontally wide enough to hit multiple enemies at once
- But it's still a dagger, not a sword, so it has short range

## Secondary
[![](https://cdn.discordapp.com/attachments/491077949823385602/879871844172300288/unknown.png)]()
- Decently high velocity, useful at mid to close range
- More than capable of sniping enemies when accounting for bullet-drop
- Damage is just shy of killing a Wisp at level 1
- Damage increases equal to 10% of your Conqueror stacks
- Can throw while sprinting

## Utility
[![](https://cdn.discordapp.com/attachments/491077949823385602/879871946383294514/unknown.png)]()
- Exactly what you think it is
- In all of its glory
- Gives Jade Elephant for 0.5 seconds on-arrival
- Cast time is 0.25 seconds
- Hold to aim, can aim while sprinting
- Gives i-frames for 0.9 seconds, starting when you release the key
- Uses a raycast to find its destination, so if you couldn't shoot your target you will receive the unintended result of
- Arriving a large distance above target location, commonly inducing heavy fall damage. Be careful and precise when aiming long distances.
- Does have a max range, but it's extremely high.

## Special
[![](https://cdn.discordapp.com/attachments/491077949823385602/879872053518418000/unknown.png)]()
- Resets your Conqueror stacks
- 2.5s static channel time
- Absurdly high base damage per dagger
- The reset occurs before a single dagger is fired,  so no crazy exponential damage here
- Cannot be canceled by any means, including being frozen
- Applies Cripple

## General Insights
 She has a higher than average base health pool and 0.25 armor growth per level. Low base damage, and lower damage growth per level (2.0 vs 2.4 for most vanilla survivors) with the design intent to make her a scaling champion more akin to an ADC than a midlaner in Risk of Rain's context. A bruiser-oriented playstyle where the longer you are in combat, the more you are rewarded for it, which allows you to stay in combat longer. A unique power fantasy that inspired me so much I decided to start learning C# just to make it in a different game. I hope you enjoy playing her as much as I enjoyed making her!

## Credits
- Absolutely massive thanks to Bubbet - for being extremely patient and willing to teach someone who has general coding knowledge but next-to-none on C# when I had started.
- Adzelliper - assistance with Shunpo and understanding movement vectors.
- ArcSinJesse - for giving me the confidence to start this project and helping me spend as little time as possible in Unity. Also coded most of Death Lotus.
- Scoops & EmilyMakar - for successfully convincing me a melee survivor isn't immediately at a huge disadvantage because they're melee; and that a full-offense/no-defense kit can be fun and rewarding while also remaining gameplay-viable and relevant towards the late game.
- Tymmey - for code reference on how to do a lot of things I wanted to accomplish
- rob - for his Henry mod that has served for the foundation for so many custom survivors

## Miscellaneous info
- Formula for basic attack damage is 2.1[dmgcoefficient] * 11[basedamagestat] * (*Stacks* * 0.06 + 1)
- Upon testing, her 30 stack buff is actually kinda OP. I regret nothing.
- I'm not profiting off of this so I'm pretty sure I don't have to claim Fair Use but all assets/animations/SFX used are property of Riot Games Inc. blah blah blah... I didn't make the assets, I just wrote the code.

## Known Issues
- She is incompatible with multiplayer because her resets only work for the host and the sound events are called on every client. I didn't design her with multiplayer in mind as I normally play only solo but either way I will fix this in the ~~next update~~ when I have the mental fortitude enough to learn networking.
- You can cancel Shunpo with an autoattack if you swipe and cast it at the same time, putting the skill on full cooldown and doing nothing; so try to avoid this for now. Messing with skill priority does not fix this
- Her skills may conflict with sprint mods, I don't use them and don't guarantee compatibility with them.

-- Bug Reporting/Feedback/Troubleshooting yell at me in the RoR2 Modding Discord @ Nines#9904

## Future Plans
- Add a proper death animation
- I have a few concepts written down (and some coded) for a Night Harvester variant where she functions more similar to Bandit, resetting all of her cooldowns all at once, rather than individually. It would be a fork of this mod but with a few very considerable gameplay tweaks, this version will be without Conqueror and her skin/ associated SFX will be Battle Academia.
- I have decided on Vayne as my next survivor. Her abilities feel relatively simple to make which allows me to practice my VFX prowess. PROJECT skin again because it's my favorite skinline, and yes, it will include her bike.  
## here's a sneak peek...
[![](https://cdn.discordapp.com/attachments/323183130930315266/881723444000083968/unknown.png)]()
[![](https://cdn.discordapp.com/attachments/323183130930315266/881723476807909426/unknown2.png)]()

## Changelog
`1.1.1`
Update
- Sinister Steel hitbox has been increased and is more disjointed from the model. It was supposed to be small, but not THAT small
- She has innate base lifesteal now, instead of getting the first instance at 2 stacks. No 900 gold for vamp scepter needed
- Voracious Dagger now has omnivamp, this was supposed to be on release but I forgot about it
- additionally, it will now also cancel your aerial velocity to help mitigate the high fall damage Shunpo can cause, because working with BodyFlags is difficult
- added to documentation that it scales with 10% of your Conqueror stacks, this was always the case but I've never explicitly stated it
- Death Lotus now decreases your total Conqueror stacks by 13 instead of removing them entirely, stacks now have no influence on Death Lotus' damage (should have been like this from the start in hindsight, the mistakes of a first mod)
- Lotus dagger damage scales (slightly) based on attackspeed now
- It has a particle effect now
- Jump animation has been hacked together more cleanly. Kind of challenging because League champions don't jump
- Increased body size slightly because it still felt small to me
- Increased volume of Death Lotus' finishing sound event
- Increased volume of basic attack chain
- Increased base sprint speed
- I might be forgetting something, overall her gameplay feels a bit smoother now and closer to the mark I designed her to hit. Of course I didn't expect to nail it first try

`1.0.1`
Hotfix
- Cleaned up readme
- Skill descriptions are prettier, title text color now more PROJECT-themed instead of grey
- Overview section in lobby is more clear
- Added SFX for when you are at max healing
- I-frames for Shunpo actually are when you release the key now

`1.0.0`
Update
- Initial release
